%define _legacy_common_support 1

Name:           libomxil-bellagio
Version:        0.9.3
Release:    1%{?dist}
Summary:        OpenMAX Integration Layer

License:        LGPLv2+
URL:            http://omxil.sourceforge.net
Source0:        http://downloads.sourceforge.net/omxil/%{name}-%{version}.tar.gz
Patch0:         libomxil-bellagio-0.9.3-fix_Werror.patch
Patch1:         libomxil-bellagio-0.9.3-unused.patch
Patch2:         libomxil-bellagio-0.9.3-nodoc.patch
Patch3:         http://git.buildroot.net/buildroot/plain/package/multimedia/bellagio/bellagio-0.9.3-dynamicloader-linking.patch
Patch4:         http://git.buildroot.net/buildroot/plain/package/multimedia/bellagio/bellagio-0.9.3-parallel-build.patch
Patch5:         http://git.buildroot.net/buildroot/plain/package/multimedia/bellagio/bellagio-0.9.3-segfault-on-removeFromWaitResource.patch
Patch6:         omxil_version.patch
Patch7:         libomxil-bellagio-0.9.3-memcpy.patch
Patch8:         libomxil-bellagio-0.9.3-valgrind_register.patch
BuildRequires:  doxygen
BuildRequires:  libtool
BuildRequires:  gcc-c++
BuildRequires: make


%description
The OpenMAX IL API defines a standardized media component interface to
enable developers and platform providers to integrate and communicate
with multimedia codecs implemented in hardware or software.

The libomxil shared library implements the OpenMAX IL Core functionalities.
Three dynamically loadable components are also included: OMX alsa sink
component, OMX mp3,aac,ogg decoder component and OMX volume control component.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        test
Summary:        Test cases for %{name}
Requires:       %{name} = %{version}-%{release}

%description    test
The %{name}-test package contains binaries for testing %{name}.


%prep
%setup -q
%patch0 -p1 -b .fix_werror
%patch1 -p1 -b .unused
%patch2 -p1 -b .nodoc
%patch3 -p1 -b .dynl
%patch4 -p1 -b .pb
%patch5 -p1 -b .sf
%patch6 -p0 -b .orig
%patch7 -p1 -b .memcpy
%patch8 -p0 -b .register
sed -i -e 's/ -Werror//' configure.ac
autoreconf -vif


%build
%configure --disable-static

sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags} || make %{?_smp_mflags}

ln -sf src bellagio
make check LDFLAGS="-L$PWD/src/.libs" \
    CFLAGS="$RPM_OPT_FLAGS -I$PWD/include -I$PWD"


%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'


mkdir -p %{buildroot}%{_bindir}
for f in audio_effects/.libs/{omxaudiomixertest,omxvolcontroltest} resource_manager/.libs/{omxprioritytest,omxrmtest} ; do
  install -pm 0755 test/components/${f} %{buildroot}%{_bindir}
done

rm -rf %{buildroot}%{_datadir}/doc/%{name}




%files
%doc AUTHORS ChangeLog NEWS README TODO
%license COPYING
%{_bindir}/omxregister-bellagio
%{_libdir}/*.so.*
%dir %{_libdir}/bellagio
%{_libdir}/bellagio/*.so*
%dir %{_libdir}/omxloaders
%{_libdir}/omxloaders/*.so*
%{_mandir}/man1/omxregister-bellagio.1.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libomxil-bellagio.pc

%files test
%{_bindir}/omxaudiomixertest
%{_bindir}/omxprioritytest
%{_bindir}/omxrmtest
%{_bindir}/omxvolcontroltest


%changelog
* Mon Apr 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.3-1
- initial build
